<?php

/**
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or (at
 *   your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful, but
 *   WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 *   @author          Administrator
 *   @copyright       2015, Administrator
 *   @link            http://blackcat-cms.org
 *   @license         http://www.gnu.org/licenses/gpl.html
 *   @category        CAT_Tools
 *   @package         Image Optimizer
 *
 */

if (defined('CAT_PATH')) {
    if (defined('CAT_VERSION')) include(CAT_PATH.'/framework/class.secure.php');
} elseif (file_exists($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php')) {
    include($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php');
} else {
    $subs = explode('/', dirname($_SERVER['SCRIPT_NAME']));    $dir = $_SERVER['DOCUMENT_ROOT'];
    $inc = false;
    foreach ($subs as $sub) {
        if (empty($sub)) continue; $dir .= '/'.$sub;
        if (file_exists($dir.'/framework/class.secure.php')) {
            include($dir.'/framework/class.secure.php'); $inc = true;    break;
        }
    }
    if (!$inc) trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
}

$FORMS = array(
    'settings' => array(
        array(
            'type' => 'legend',
            'label' => 'Settings'
        ),
        array(
            'type' => 'radiogroup',
            'name' => 'is_active',
            'label' => 'Active',
            'options' => array('y'=>'Yes','n'=>'No'),
            'checked' => 'y',
        ),
        array(
            'type' => 'text',
            'name' => 'ignore_class',
            'label' => 'Ignore images with CSS class',
            'value' => 'no-optimize',
        ),
        array(
            'type' => 'text',
            'name' => 'file_types',
            'label' => 'File types',
            'required' => true,
            'value' => 'jpg,jpeg,gif,png',
        ),
        array(
            'type' => 'select',
            'name' => 'jpg_quality',
            'label' => 'JPG quality',
            'options' => array(50,60,70,80,90),
            'required' => true,
            'selected' => 90,
        ),
        array(
            'type' => 'text',
            'name' => 'folder',
            'label' => 'Folder for optimized images',
            'required' => true,
            'value' => '.verkleinert',
        ),
    ),
);