<?php

/**
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or (at
 *   your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful, but
 *   WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 *   @author          Administrator
 *   @copyright       2015, Administrator
 *   @link            http://blackcat-cms.org
 *   @license         http://www.gnu.org/licenses/gpl.html
 *   @category        CAT_Tools
 *   @package         Image Optimizer
 *
 */

if (defined('CAT_PATH')) {
    if (defined('CAT_VERSION')) include(CAT_PATH.'/framework/class.secure.php');
} elseif (file_exists($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php')) {
    include($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php');
} else {
    $subs = explode('/', dirname($_SERVER['SCRIPT_NAME']));    $dir = $_SERVER['DOCUMENT_ROOT'];
    $inc = false;
    foreach ($subs as $sub) {
        if (empty($sub)) continue; $dir .= '/'.$sub;
        if (file_exists($dir.'/framework/class.secure.php')) {
            include($dir.'/framework/class.secure.php'); $inc = true;    break;
        }
    }
    if (!$inc) trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
}

foreach(array('wbForms') as $class)
{
    if(file_exists(CAT_PATH.'/modules/lib_wblib/wblib/'.$class.'.php'))
        require CAT_PATH.'/modules/lib_wblib/wblib/'.$class.'.php';
    elseif(file_exists(CAT_PATH.'/framework/wblib/'.$class.'.php'))
        require CAT_PATH.'/framework/wblib/'.$class.'.php';
    else
        CAT_Object::printFatalError('Missing '.$class.'!');
}

$module_directory = pathinfo(dirname(__FILE__),PATHINFO_BASENAME);

$form = \wblib\wbForms::getInstanceFromFile('inc.forms.php',dirname(__FILE__).'/inc');
$form->set('wblib_url',CAT_URL.'/modules/lib_wblib/wblib');
$form->set('lang_path',CAT_PATH.'/modules/'.$module_directory.'/languages');
$form->setForm('settings');

if($form->isSent() && $form->isValid())
{
    $new = $form->getData();
    $db  = CAT_Helper_DB::getInstance();
    foreach($new as $key => $value)
    {
        $db->query(
            'REPLACE INTO `:prefix:mod_bcimageoptimizer_settings` VALUES (?, ?)',
            array($key, $value)
        );
    }
}

global $parser;
$parser->setPath(dirname(__FILE__).'/templates/default');
$parser->output(
    'tool.tpl',
    array(
        'form' => $form->getForm(),
    )
);